module.exports = function createRootReducer(...reducers){
	return function(state, action){

		for (let i = 0; i < reducers.length; i++){

			let newState = reducers[i](state, action);
			if ( newState !== false || newState !== undefined || newState !== null ) return newState;

		}

		return state;
  }
}
